Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh
Interface SSHConfiguration

All Known Implementing Classes:
  SCPConfiguration, SFTPConfiguration

    public interface SSHConfiguration

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Method Summary
`java.lang.String` | `getAuthType()`
`boolean` | `getFirewallEnabled()`
`java.lang.String` | `getFirewallPassword()`
`int` | `getFirewallPort()`
`java.lang.String` | `getFirewallServer()`
`java.lang.String` | `getFirewallUser()`
`java.lang.String` | `getHostKeyVerification()`
`java.lang.String` | `getKeyFile()`
`java.lang.String` | `getKeyFilePassphrase()`
`java.lang.String` | `getLocalDirectory()`
`java.lang.String` | `getLocalFile()`
`java.lang.String` | `getPreferredPubKeyAlg()`
`java.lang.String` | `getRemoteDirectory()`
`java.lang.String` | `getRemoteFile()`
`java.lang.String` | `getRemoteHost()`
`java.lang.String` | `getServerPublicKeyFile()`
`java.lang.String` | `getSocksVersion()`
`java.lang.String` | `getSSHPassword()`
`int` | `getSSHPort()`
`java.lang.String` | `getSSHServer()`
`java.lang.String` | `getSSHUser()`
`void` | `setAuthType(java.lang.String s)`
`void` | `setFirewallEnabled(boolean b)`
`void` | `setFirewallPassword(java.lang.String s)`
`void` | `setFirewallPort(int i)`
`void` | `setFirewallServer(java.lang.String s)`
`void` | `setFirewallUser(java.lang.String s)`
`void` | `setHostKeyVerification(java.lang.String s)`
`void` | `setKeyFile(java.lang.String s)`
`void` | `setKeyFilePassphrase(java.lang.String s)`
`void` | `setLocalDirectory(java.lang.String s)`
`void` | `setLocalFile(java.lang.String s)`
`void` | `setPreferredPubKeyAlg(java.lang.String s)`
`void` | `setRemoteDirectory(java.lang.String s)`
`void` | `setRemoteFile(java.lang.String s)`
`void` | `setRemoteHost(java.lang.String s)`
`void` | `setServerPublicKeyFile(java.lang.String s)`
`void` | `setSocksVersion(java.lang.String s)`
`void` | `setSSHPassword(java.lang.String s)`
`void` | `setSSHPort(int i)`
`void` | `setSSHServer(java.lang.String s)`
`void` | `setSSHUser(java.lang.String s)`

Method Detail

### getRemoteDirectory

    java.lang.String getRemoteDirectory()

### setRemoteDirectory

    void setRemoteDirectory(java.lang.String s)

### getRemoteFile

    java.lang.String getRemoteFile()

### setRemoteFile

    void setRemoteFile(java.lang.String s)

### getLocalDirectory

    java.lang.String getLocalDirectory()

### setLocalDirectory

    void setLocalDirectory(java.lang.String s)

### getLocalFile

    java.lang.String getLocalFile()

### setLocalFile

    void setLocalFile(java.lang.String s)

### getFirewallServer

    java.lang.String getFirewallServer()

### setFirewallPort

    void setFirewallPort(int i)

### getFirewallPort

    int getFirewallPort()

### setFirewallServer

    void setFirewallServer(java.lang.String s)

### getFirewallUser

    java.lang.String getFirewallUser()

### setFirewallUser

    void setFirewallUser(java.lang.String s)

### getFirewallPassword

    java.lang.String getFirewallPassword()

### setFirewallPassword

    void setFirewallPassword(java.lang.String s)

### getFirewallEnabled

    boolean getFirewallEnabled()

### setFirewallEnabled

    void setFirewallEnabled(boolean b)

### getSSHServer

    java.lang.String getSSHServer()

### setSSHServer

    void setSSHServer(java.lang.String s)

### setSSHPort

    void setSSHPort(int i)

### getSSHPort

    int getSSHPort()

### getSSHUser

    java.lang.String getSSHUser()

### setSSHUser

    void setSSHUser(java.lang.String s)

### getSSHPassword

    java.lang.String getSSHPassword()

### setSSHPassword

    void setSSHPassword(java.lang.String s)

### getAuthType

    java.lang.String getAuthType()

### setAuthType

    void setAuthType(java.lang.String s)

### getSocksVersion

    java.lang.String getSocksVersion()

### setSocksVersion

    void setSocksVersion(java.lang.String s)

### getKeyFilePassphrase

    java.lang.String getKeyFilePassphrase()

### setKeyFilePassphrase

    void setKeyFilePassphrase(java.lang.String s)

### getKeyFile

    java.lang.String getKeyFile()

### setKeyFile

    void setKeyFile(java.lang.String s)

### getServerPublicKeyFile

    java.lang.String getServerPublicKeyFile()

### setServerPublicKeyFile

    void setServerPublicKeyFile(java.lang.String s)

### getRemoteHost

    java.lang.String getRemoteHost()

### setRemoteHost

    void setRemoteHost(java.lang.String s)

### getHostKeyVerification

    java.lang.String getHostKeyVerification()

### setHostKeyVerification

    void setHostKeyVerification(java.lang.String s)

### getPreferredPubKeyAlg

    java.lang.String getPreferredPubKeyAlg()

### setPreferredPubKeyAlg

    void setPreferredPubKeyAlg(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD